Subject: Re: [rrg] Last call: Design goals

From: [email-masked]
Date: Wed, 27 Oct 2010 04:49:34 EDT

In einer eMail vom 27.10.2010 00:54:11 Westeuropäische Sommerzeit schreibt  
[email-masked]:

On Tue,  2010-10-26 at 23:25 +0100, [email-masked] wrote:
> I am not an  expert in compact routing. The good thing: The CR experts
> realized  themselves how bad it is, hence came up with the term stretch
> as to  measure its weakness.

Amusing, but wrong. Stretch is a quantifiable  measure of how _well_ a
routing algorithm performs, and is used in the  compact routing work as
the primary trade-off against routing state. In  particular, the
algorithms presented in the literature define provable  bounds on
achievable state with respect to the state  requirements.

Agreed, and please excuse my emotions against CR: But it is not correct to  
bash on all kinds of hierarchical routing concepts either. Nor is it 
appropriate  to infer from CR that scalable solutions aren't possible at all.
Heiner

---

From: [email-masked]
Date: Wed, 27 Oct 2010 04:53:32 EDT

How is this: Adding another design goal: 
 
                                  To enable Time-of-Day routing
 
(btw:for TARA, that would be an easy exercise)
 
Heiner

---

From: [email-masked]
Date: Sun, 31 Oct 2010 14:05:15 EDT

In einer eMail vom 28.10.2010 07:59:24 Westeuropäische Normalzeit schreibt  
[email-masked]:

IMHO,  the root cause for our problems is the lack of a session layer
in the  TCP/IP stack

Patrick

Hi Patrick,
I have a different opinion on what is the root cause. 
We have a poor network layer. Due to some conex-email from Fred Baker I  
have been remainded that the flow label exists for quite a while, but people  
have no idea how to use it. Sad enough, but I think it's good, because it is 
so  easy to abuse it for weird concepts (like conex). This is just an  
example, I could add many more.
 
Lacking a session layer is a separate and additional issue. There are more  
competent folks (like you) than me who know more on this topic.
Heiner